Resize the provisioned MediaAgent
API To resize the provisioned MediaAgent using scale Config
Path Parameters
- mediaAgentId int32 required
Id of provisioned mediaAgent
- application/json
Request Body
- scaleProfileClientId int32 required
Id of scale profile client
- machineCpuCount int32
Number of cpus
- machineMemoryGB int32
Size of physical memory in GB
- infrastructureResize ComputeSizeType
Possible values: [
SMALL,MEDIUM,LARGE,XLARGE,CUSTOM]T-Shirt or infrastructure size of provisioned infra
Responses
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...